summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christoph Willing2018-05-30 07:31:37 +0200
committer Willy Sudiarto Raharjo2018-06-02 02:32:28 +0200
commit6b23339e21f05316b9c24b78c12df9b40232de79 (patch)
treec5de4de9d3a767f48e014351a00bcf786e991edd
parent7d48e6d17dff699e4e80742de5295c2dae2c30c3 (diff)
downloadslackbuilds-6b23339e21f05316b9c24b78c12df9b40232de79.tar.gz
libraries/OpenSceneGraph: Hide OpenCASCADE support (until 3.5.6)
Signed-off-by: Christoph Willing <chris.willing@linux.com>
-rw-r--r--libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild12
-rw-r--r--libraries/OpenSceneGraph/OpenSceneGraph.info2
-rw-r--r--libraries/OpenSceneGraph/README9
3 files changed, 14 insertions, 9 deletions
diff --git a/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild b/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
index a7319c1e01..a158f30565 100644
--- a/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
+++ b/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
@@ -8,7 +8,7 @@
PRGNAM=OpenSceneGraph
VERSION=${VERSION:-3.5.5}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -39,16 +39,18 @@ else
fi
# Support OpenCASCADE, if installed
-occ=""; ls -l /var/log/packages/OpenCASCADE* 2>/dev/null 1>/dev/null
-[ $? -eq 0 ] && occ="-DOPENCASCADE_INCLUDE_DIR=/opt/OpenCASCADE/inc -DOPENCASCADE_LIBRARY_TYPE=Shared"
+occ=""
+# Not supported until version 3.5.6
+#ls -l /var/log/packages/OpenCASCADE* 2>/dev/null 1>/dev/null
+#[ $? -eq 0 ] && occ="-DOPENCASCADE_INCLUDE_DIR=/opt/OpenCASCADE/inc -DOPENCASCADE_LIBRARY_TYPE=Shared"
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xf $CWD/$PRGNAM-$VERSION.tar.gz
+rm -rf $PRGNAM-$PRGNAM-$VERSION
+tar xf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$PRGNAM-$VERSION
chown -R root:root .
find -L . \
diff --git a/libraries/OpenSceneGraph/OpenSceneGraph.info b/libraries/OpenSceneGraph/OpenSceneGraph.info
index be0333839f..967fe46428 100644
--- a/libraries/OpenSceneGraph/OpenSceneGraph.info
+++ b/libraries/OpenSceneGraph/OpenSceneGraph.info
@@ -1,7 +1,7 @@
PRGNAM="OpenSceneGraph"
VERSION="3.5.5"
HOMEPAGE="http://www.openscenegraph.org/"
-DOWNLOAD="https://github.com/openscenegraph/OpenSceneGraph/archive/OpenSceneGraph-3.5.5.tar.gz"
+DOWNLOAD="https://github.com/openscenegraph/OpenSceneGraph/archive/OpenSceneGraph-3.5.5/OpenSceneGraph-OpenSceneGraph-3.5.5.tar.gz"
MD5SUM="af7b1719c656192e69694cb12fcc4106"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
diff --git a/libraries/OpenSceneGraph/README b/libraries/OpenSceneGraph/README
index 7abae38889..ec08826b7b 100644
--- a/libraries/OpenSceneGraph/README
+++ b/libraries/OpenSceneGraph/README
@@ -7,6 +7,9 @@ from implementing and optimizing low level graphics calls, and
provides many additional utilities for rapid development of graphics
applications.
-Plugins for a number of additional features will be automatically generated
-using the following optional packages if they are detected at build time:
-dcmtk, ffmpeg, gdal, gtkglext, libgta, nvidia-texture-tools, OpenCASCADE, SDL2
+Plugins will be automatically generated using the following optional
+packages if they are detected at build time:
+ dcmtk, ffmpeg, gdal, gtkglext, libgta, libLAS, nvidia-texture-tools,
+ fltk, SDL2, wxGTK3
+These plugins offer significant additional functionality and are recommended
+for building a fully featured OpenSceneGraph.